Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
01470 Interface Major Always Mar 8, 2008, 20:58 Mar 22, 2008, 14:47
Tester t800 View Status Public Platform MAME (Official Binary)
Assigned To Resolution Fixed OS Windows XP/Vista 32-bit
Status [?] Resolved Driver
Version 0.123 Fixed in Version 0.123u1 Build Normal
Summary 01470: -record and -playback functions are not working in MAME 0.123 (and MAMEUI 0.123)
Description If you specify a game to have it's input recorded, the recorded input file is generated as expected.

If you new start MAME and specify -playback <name of file>, you are given a requester stating that:

Input file is for game <some random chars>, not for current game <name of game you want>.

When tested with spinmast, I received:

Input file is for game 't', not for current game 'spinmast'

When tested with 1942, I received:

Input file is for game '', not for current game '1942'
Steps To Reproduce In MAME:

mame spinmast -record spinmast

upon exiting the game:

mame spinmast -playback spinmast


In MAMEUI:
Select:
File -> "Play and Record Input..."
<enter filename for inputfile>

Play game. Upon exiting, select

File -> "Playback Input..."
<select your recorded input for this game>
Additional Information I have attached both recorded files for spinmast and 1942 in a rar.
Flags
Regression Version
Affected Sets / Systems
Attached Files
rar file icon inp.rar (6,971 bytes) Mar 8, 2008, 20:58
Relationships
There are no relationship linked to this issue.
Notes
3
User avatar
No.00071
Tafoid
Administrator
Mar 9, 2008, 01:47
Please, only report bugs with the latest U version, especially for major bugs like this. Most of the time, major problems within a main release are often fixed in the first update after.

If you cannot compile one, there are a couple links to MAME in the RULES link above in case you cannot compile your own updates.
User avatar
No.00072
Tafoid
Administrator
Mar 9, 2008, 01:49
This was fixed before a bug report could even be made, so you might not have seen discussion about it. Needless to say, it's fixed from 0.123u1 onward. We do appreciate the effort you put into the report, however. Thanks.
User avatar
No.00313
Tafoid
Administrator
Mar 22, 2008, 14:47
Corrected resolution/status to document bug